import { OnInit } from "@angular/core";
import { MatDialog, MatDialogRef } from "@angular/material/dialog";
import { TranslateLibraryService } from '../../../../services/translation-registry.service';
import { AnalysisDanger } from "../../model/analysis-danger.model";
import { RiskAnalysis } from "../../model/risk-analysis.model";
import { TreeConfig } from "../../../tree/model/tree-config.model";
import { TreeModel } from "../../../tree/model/tree.model";
import { TreeFlatNode } from "../../../tree/model/tree-flat-node.model";
export declare class RiskAnalysisComponent implements OnInit {
    translate: TranslateLibraryService;
    private dialog;
    dialogRef: MatDialogRef<RiskAnalysisComponent>;
    data: RiskAnalysis;
    LANG: any;
    title: string;
    dangers: Array<TreeModel>;
    dangerConfig: TreeConfig;
    analysisDanger: Array<AnalysisDanger>;
    selectedData: any[];
    nodeCheckedItem: any[];
    disabledList: any[];
    riskData: Array<any>;
    riskConfig: TreeConfig;
    constructor(translate: TranslateLibraryService, dialog: MatDialog, dialogRef: MatDialogRef<RiskAnalysisComponent>, data: RiskAnalysis);
    ngOnInit(): void;
    toggleChileNode(list: Array<TreeFlatNode>): void;
    onCloseClick(): void;
    onFinishClick(): void;
    onCancelClick(): void;
}
