import { OnInit } from "@angular/core";
import { MatDialogRef } from "@angular/material/dialog";
import { TranslateLibraryService } from "../../../../services/translation-registry.service";
import { Color } from "../../common/color.enum";
import { Result, RiskResult } from "../../model/risk-result.model";
export declare class RiskResultComponent implements OnInit {
    translate: TranslateLibraryService;
    dialogRef: MatDialogRef<RiskResultComponent>;
    data: RiskResult;
    LANG: any;
    title: string;
    results: Array<Result>;
    color: typeof Color;
    isSimple: number;
    constructor(translate: TranslateLibraryService, dialogRef: MatDialogRef<RiskResultComponent>, data: RiskResult);
    ngOnInit(): void;
    onCloseClick(): void;
}
