import { ElementRef, OnInit } from '@angular/core';
export declare class QMSDialogContainer {
    private el;
    min: string;
    max: string;
    constructor(el: ElementRef);
    ngOnInit(): void;
}
export declare class QMSDialogHeader implements OnInit {
    private el;
    height: string;
    constructor(el: ElementRef);
    ngOnInit(): void;
}
/**
 * Scrollable content container of a dialog.
 */
export declare class QMSDialogContent {
}
/**
 * Container for the bottom action buttons in a dialog.
 * Stays fixed to the bottom when scrolling.
 */
export declare class QMSDialogFooter {
    private el;
    align?: 'start' | 'center';
    height: string;
    constructor(el: ElementRef);
    ngOnInit(): void;
}
