import { OnInit } from "@angular/core";
import { FormGroup } from "@angular/forms";
import { MatDialogRef } from "@angular/material/dialog";
import { TranslateLibraryService } from "../../../../services/translation-registry.service";
import { QMSCKEditorBpmn } from "../../../common/models/qms-ckeditor-bpmn.model";
import { QMSCKEditorFlowchart } from "../../../common/models/qms-ckeditor-flowchart.model";
import { QMSCKEditorSaveAsTemplate } from "../../../common/models/qms-ckeditor-save-as-template.model";
import { QMSCKEditorBaseComponent } from "../../../qms-ckeditor-base.component";
import { QMSCKEditorBpmnApiService } from "../../../services/qms-ckeditor-bpmn-api.service";
import { BpmnService } from "../../../services/qms-ckeditor-bpmn.service";
import { QMSCKEditorFlowchartService } from "../../../services/qms-ckeditor-flowchart.service";
export declare class SaveTemplateComponent extends QMSCKEditorBaseComponent implements OnInit {
    private translate;
    private bmpnService;
    private bpmnApiService;
    private flowchartService;
    dialogRef: MatDialogRef<SaveTemplateComponent>;
    data: QMSCKEditorSaveAsTemplate;
    LANG: any;
    saveFormGroup: FormGroup;
    templateType: string;
    templateName: string;
    bpmn: QMSCKEditorBpmn;
    flowchart: QMSCKEditorFlowchart;
    constructor(translate: TranslateLibraryService, bmpnService: BpmnService, bpmnApiService: QMSCKEditorBpmnApiService, flowchartService: QMSCKEditorFlowchartService, dialogRef: MatDialogRef<SaveTemplateComponent>, data: QMSCKEditorSaveAsTemplate);
    ngOnInit(): void;
    saveTemplate(): void;
    onCloseDialog(): void;
}
