import { AfterViewInit, ElementRef, OnInit, TemplateRef } from "@angular/core";
export declare class QMSToolTipComponent implements OnInit, AfterViewInit {
    private ele;
    /**
     * This is simple text which is to be shown in the tooltip
     */
    text: string;
    mode: string;
    /**
     * This provides finer control on the content to be visible on the tooltip
     * This template will be injected in McToolTipRenderer directive in the consumer template
     * <ng-template #template>
     *  content.....
     * </ng-template>
     */
    contentTemplate: TemplateRef<any>;
    qmsTooltipContainer: ElementRef;
    constructor(ele: ElementRef);
    ngAfterViewInit(): void;
    ngOnInit(): void;
}
