declare function getCKEditorConfiguration(itemToolbar: string): {
    toolbar: {
        items: any[];
        removeItems: any[];
        viewportTopOffset: number;
        shouldNotGroupWhenFull: boolean;
    };
    language: string;
    table: {
        contentToolbar: string[];
    };
    image: {
        styles: string[];
        toolbar: string[];
        resizeOptions: {
            name: string;
            value: number;
            label: string;
            icon: string;
        }[];
    };
    video: {
        styles: string[];
        resizeUnit: string;
        toolbar: string[];
        resizeOptions: {
            name: string;
            value: number;
            label: string;
            icon: string;
        }[];
    };
    media: {
        styles: string[];
        resizeUnit: string;
        toolbar: string[];
        resizeOptions: {
            name: string;
            value: number;
            label: string;
            icon: string;
        }[];
    };
    mediaEmbed: {
        previewsInData: boolean;
        styles: string[];
        resizeUnit: string;
        toolbar: string[];
        resizeOptions: {
            name: string;
            value: number;
            label: string;
            icon: string;
        }[];
    };
    link: {
        addTargetToExternalLinks: boolean;
        decorators: ({
            mode: string;
            label: string;
            attributes: {
                target: string;
                manualTarget: boolean;
                url: string;
                selectedRange?: undefined;
            };
        } | {
            mode: string;
            label: string;
            attributes: {
                selectedRange: boolean;
                target?: undefined;
                manualTarget?: undefined;
                url?: undefined;
            };
        })[];
    };
};
declare const CKEditorCommonFunctions: {
    getCKEditorConfiguration: typeof getCKEditorConfiguration;
};
export default CKEditorCommonFunctions;
